---
title: '`glab cluster agent token-cache list`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

List cached GitLab Agent tokens

## Synopsis

List all cached GitLab Agent tokens from keyring and filesystem cache.

By default, this command shows tokens from both keyring and filesystem cache.
Use `--keyring=false` or `--filesystem=false` to filter specific cache types.

```plaintext
glab cluster agent token-cache list [flags]
```

## Options

```plaintext
      --agent int64Slice   Filter by specific agent IDs (default [])
      --filesystem         Include tokens from filesystem cache (default true)
      --keyring            Include tokens from keyring cache (default true)
  -R, --repo string        Select another repository using the OWNER/REPO format
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
